Skip to main content
GET
List an entity's tax returns

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

entityId
string<uuid>
required

Query Parameters

operationNumber
number

Filter by operation number (partial match) Tax return operation code generated by SAT (Número de operación)

Example:

200100172932

type
enum<string>

Filter by type (exact match)

Available options:
Complementaria,
Complementaria Corrección Fiscal,
Complementaria Dictamen,
Normal,
Normal por Corrección Fiscal
Example:

"Complementaria"

intervalUnit
enum<string>

Filter by interval unit (exact match)

Available options:
Anual,
Mensual,
RIF
Example:

"Mensual"

complementary
enum<string> | null

Filter by interval unit (partial match) Set when type is complementaria*

Available options:
Declaración no Presentada,
Dejar sin Efecto Declaración,
Dejar sin Efecto Obligación,
Esquema Anterior,
Modificación de Declaración,
Modificación de Obligaciones,
Obligación no presentada
Example:

"Modificación de Obligaciones"

captureLine
string | null

Filter by payment code (partial match) Set when the an amount should be paid back to SAT

Example:

"042007HZ795527888246"

period
string

Filter by period (exact match) Fiscal period. For an annual tax return, it is a year and for monthly tax return it is a month

Example:

"Diciembre"

presentedAt[before]
string<date-time>

Filter by filing date (less than or equal <=) Tax return filing date

presentedAt[strictly_before]
string<date-time>

Filter by filing date (less than <) Tax return filing date

presentedAt[after]
string<date-time>

Filter by filing date (greater than or equal >=) Tax return filing date

presentedAt[strictly_after]
string<date-time>

Filter by filing date (greater than >) Tax return filing date

fiscalYear
string

Filter by fiscal year (exact match) Fiscal year

Example:

2019

order[period]
enum<string>

Order by period

Available options:
asc,
desc
Example:

"asc"

order[presentedAt]
enum<string>

Order by filing date

Available options:
asc,
desc
Example:

"asc"

id[lt]
string

Collection cursor pointer to the next page

id[gt]
string

Collection cursor pointer to the previous page

itemsPerPage
integer
default:20

Number of items per page

Required range: 1 <= x <= 1000

Response

Taxpayer tax return collection response

@context
string
default:/contexts/TaxReturn
@id
string
default:/entities/{entityId}/tax-returns
Example:

"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/tax-returns"

@type
string
default:hydra:Collection
hydra:member
object[]
hydra:view
object

Pagination information